#define PERL_constant_NOTFOUND	1
#define PERL_constant_NOTDEF	2
#define PERL_constant_ISIV	3
#define PERL_constant_ISNO	4
#define PERL_constant_ISNV	5
#define PERL_constant_ISPV	6
#define PERL_constant_ISPVN	7
#define PERL_constant_ISSV	8
#define PERL_constant_ISUNDEF	9
#define PERL_constant_ISUV	10
#define PERL_constant_ISYES	11

#ifndef NVTYPE
typedef double NV; /* 5.6 and later define NVTYPE, and typedef NV to it.  */
#endif
#ifndef aTHX_
#define aTHX_ /* 5.6 or later define this for threading support.  */
#endif
#ifndef pTHX_
#define pTHX_ /* 5.6 or later define this for threading support.  */
#endif

static int
constant_16 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     "DbXml::LEVEL_ALL" "XmlModify::Empty" "XmlValue::BINARY"
     "XmlValue::NUMBER" "XmlValue::STRING" */
  /* Offset 11 gives the best switch position.  */
  switch (name[11]) {
  case 'E':
    if (memEQ(name, "XmlModify::Empty", 16)) {
    /*                          ^           */
      {
	DbXml::XmlModify::ModificationType tmp = XmlModify::Empty;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case 'I':
    if (memEQ(name, "XmlValue::BINARY", 16)) {
    /*                          ^           */
      {
	DbXml::XmlValue::Type tmp = XmlValue::BINARY;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case 'L':
    if (memEQ(name, "DbXml::LEVEL_ALL", 16)) {
    /*                          ^           */
      *iv_return = DbXml::LEVEL_ALL;
      return PERL_constant_ISIV;
    }
    break;
  case 'T':
    if (memEQ(name, "XmlValue::STRING", 16)) {
    /*                          ^           */
      {
	DbXml::XmlValue::Type tmp = XmlValue::STRING;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case 'U':
    if (memEQ(name, "XmlValue::NUMBER", 16)) {
    /*                          ^           */
      {
	DbXml::XmlValue::Type tmp = XmlValue::NUMBER;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_17 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     "DbXml::LEVEL_INFO" "DbXml::LEVEL_NONE" "XmlModify::Append"
     "XmlModify::Remove" "XmlModify::Rename" "XmlModify::Update"
     "XmlValue::BOOLEAN" */
  /* Offset 13 gives the best switch position.  */
  switch (name[13]) {
  case 'I':
    if (memEQ(name, "DbXml::LEVEL_INFO", 17)) {
    /*                            ^          */
      *iv_return = DbXml::LEVEL_INFO;
      return PERL_constant_ISIV;
    }
    break;
  case 'L':
    if (memEQ(name, "XmlValue::BOOLEAN", 17)) {
    /*                            ^          */
      {
	DbXml::XmlValue::Type tmp = XmlValue::BOOLEAN;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case 'N':
    if (memEQ(name, "DbXml::LEVEL_NONE", 17)) {
    /*                            ^          */
      *iv_return = DbXml::LEVEL_NONE;
      return PERL_constant_ISIV;
    }
    break;
  case 'd':
    if (memEQ(name, "XmlModify::Update", 17)) {
    /*                            ^          */
      {
	DbXml::XmlModify::ModificationType tmp = XmlModify::Update;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case 'm':
    if (memEQ(name, "XmlModify::Remove", 17)) {
    /*                            ^          */
      {
	DbXml::XmlModify::ModificationType tmp = XmlModify::Remove;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case 'n':
    if (memEQ(name, "XmlModify::Rename", 17)) {
    /*                            ^          */
      {
	DbXml::XmlModify::ModificationType tmp = XmlModify::Rename;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case 'p':
    if (memEQ(name, "XmlModify::Append", 17)) {
    /*                            ^          */
      {
	DbXml::XmlModify::ModificationType tmp = XmlModify::Append;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_18 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     "DbXml::LEVEL_DEBUG" "DbXml::LEVEL_ERROR" "XmlModify::Comment"
     "XmlModify::Element" "XmlValue::DOCUMENT" "XmlValue::VARIABLE" */
  /* Offset 13 gives the best switch position.  */
  switch (name[13]) {
  case 'D':
    if (memEQ(name, "DbXml::LEVEL_DEBUG", 18)) {
    /*                            ^           */
      *iv_return = DbXml::LEVEL_DEBUG;
      return PERL_constant_ISIV;
    }
    break;
  case 'E':
    if (memEQ(name, "DbXml::LEVEL_ERROR", 18)) {
    /*                            ^           */
      *iv_return = DbXml::LEVEL_ERROR;
      return PERL_constant_ISIV;
    }
    break;
  case 'I':
    if (memEQ(name, "XmlValue::VARIABLE", 18)) {
    /*                            ^           */
      {
	DbXml::XmlValue::Type tmp = XmlValue::VARIABLE;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case 'U':
    if (memEQ(name, "XmlValue::DOCUMENT", 18)) {
    /*                            ^           */
      {
	DbXml::XmlValue::Type tmp = XmlValue::DOCUMENT;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case 'e':
    if (memEQ(name, "XmlModify::Element", 18)) {
    /*                            ^           */
      {
	DbXml::XmlModify::XmlObject tmp = XmlModify::Element;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case 'm':
    if (memEQ(name, "XmlModify::Comment", 18)) {
    /*                            ^           */
      {
	DbXml::XmlModify::XmlObject tmp = XmlModify::Comment;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_19 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     DBXML_VERSION_MAJOR DBXML_VERSION_MINOR DBXML_VERSION_PATCH
     "DbXml::CATEGORY_ALL" */
  /* Offset 16 gives the best switch position.  */
  switch (name[16]) {
  case 'A':
    if (memEQ(name, "DbXml::CATEGORY_ALL", 19)) {
    /*                               ^         */
      *iv_return = DbXml::CATEGORY_ALL;
      return PERL_constant_ISIV;
    }
    break;
  case 'J':
    if (memEQ(name, "DBXML_VERSION_MAJOR", 19)) {
    /*                               ^         */
      *iv_return = DBXML_VERSION_MAJOR;
      return PERL_constant_ISIV;
    }
    break;
  case 'N':
    if (memEQ(name, "DBXML_VERSION_MINOR", 19)) {
    /*                               ^         */
      *iv_return = DBXML_VERSION_MINOR;
      return PERL_constant_ISIV;
    }
    break;
  case 'T':
    if (memEQ(name, "DBXML_VERSION_PATCH", 19)) {
    /*                               ^         */
      *iv_return = DBXML_VERSION_PATCH;
      return PERL_constant_ISIV;
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_20 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     "DbXml::CATEGORY_NONE" "DbXml::LEVEL_WARNING" "XmlModify::Attribute" */
  /* Offset 11 gives the best switch position.  */
  switch (name[11]) {
  case 'A':
    if (memEQ(name, "XmlModify::Attribute", 20)) {
    /*                          ^               */
      {
	DbXml::XmlModify::XmlObject tmp = XmlModify::Attribute;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case 'G':
    if (memEQ(name, "DbXml::CATEGORY_NONE", 20)) {
    /*                          ^               */
      *iv_return = DbXml::CATEGORY_NONE;
      return PERL_constant_ISIV;
    }
    break;
  case 'L':
    if (memEQ(name, "DbXml::LEVEL_WARNING", 20)) {
    /*                          ^               */
      *iv_return = DbXml::LEVEL_WARNING;
      return PERL_constant_ISIV;
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_22 (pTHX_ const char *name, IV *iv_return, const char **pv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     "DbXml::metaDataName_id" "XmlModify::InsertAfter" "XmlQueryContext::Eager"
     */
  /* Offset 13 gives the best switch position.  */
  switch (name[13]) {
  case 's':
    if (memEQ(name, "XmlModify::InsertAfter", 22)) {
    /*                            ^               */
      {
	DbXml::XmlModify::ModificationType tmp = XmlModify::InsertAfter;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case 't':
    if (memEQ(name, "DbXml::metaDataName_id", 22)) {
    /*                            ^               */
      *pv_return = metaDataName_id;
      *iv_return = (IV) 15;
      return PERL_constant_ISPVN;
    }
    break;
  case 'x':
    if (memEQ(name, "XmlQueryContext::Eager", 22)) {
    /*                            ^               */
      {
	DbXml::XmlQueryContext::EvaluationType tmp = XmlQueryContext::Eager;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_27 (pTHX_ const char *name, IV *iv_return, const char **pv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     "DbXml::DBXML_VERSION_STRING" "DbXml::metaDataName_content"
     "DbXml::metaDataName_default" "XmlException::INVALID_VALUE"
     "XmlException::UNKNOWN_INDEX" */
  /* Offset 20 gives the best switch position.  */
  switch (name[20]) {
  case 'D':
    if (memEQ(name, "XmlException::INVALID_VALUE", 27)) {
    /*                                   ^             */
      {
	DbXml::XmlException::ExceptionCode tmp = XmlException::INVALID_VALUE ;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case 'N':
    if (memEQ(name, "XmlException::UNKNOWN_INDEX", 27)) {
    /*                                   ^             */
      {
	DbXml::XmlException::ExceptionCode tmp = XmlException::UNKNOWN_INDEX ;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case '_':
    if (memEQ(name, "DbXml::DBXML_VERSION_STRING", 27)) {
    /*                                   ^             */
      *pv_return = DBXML_VERSION_STRING;
      *iv_return = (IV) 20;
      return PERL_constant_ISPVN;
    }
    break;
  case 'c':
    if (memEQ(name, "DbXml::metaDataName_content", 27)) {
    /*                                   ^             */
      *pv_return = metaDataName_content;
      *iv_return = (IV) 20;
      return PERL_constant_ISPVN;
    }
    break;
  case 'd':
    if (memEQ(name, "DbXml::metaDataName_default", 27)) {
    /*                                   ^             */
      *pv_return = metaDataName_default;
      *iv_return = (IV) 20;
      return PERL_constant_ISPVN;
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_28 (pTHX_ const char *name, IV *iv_return, const char **pv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     "DbXml::metaDataNamespace_uri" "XmlException::CONTAINER_OPEN"
     "XmlException::DATABASE_ERROR" "XmlException::INTERNAL_ERROR" */
  /* Offset 14 gives the best switch position.  */
  switch (name[14]) {
  case 'C':
    if (memEQ(name, "XmlException::CONTAINER_OPEN", 28)) {
    /*                             ^                    */
      {
	DbXml::XmlException::ExceptionCode tmp = XmlException::CONTAINER_OPEN ;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case 'D':
    if (memEQ(name, "XmlException::DATABASE_ERROR", 28)) {
    /*                             ^                    */
      {
	DbXml::XmlException::ExceptionCode tmp = XmlException::DATABASE_ERROR ;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case 'I':
    if (memEQ(name, "XmlException::INTERNAL_ERROR", 28)) {
    /*                             ^                    */
      {
	DbXml::XmlException::ExceptionCode tmp = XmlException::INTERNAL_ERROR ;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case 'a':
    if (memEQ(name, "DbXml::metaDataNamespace_uri", 28)) {
    /*                             ^                    */
      *pv_return = metaDataNamespace_uri;
      *iv_return = (IV) 21;
      return PERL_constant_ISPVN;
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_30 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     "XmlException::CONTAINER_CLOSED" "XmlException::CONTAINER_EXISTS"
     "XmlException::DOM_PARSER_ERROR" "XmlException::VERSION_MISMATCH" */
  /* Offset 29 gives the best switch position.  */
  switch (name[29]) {
  case 'D':
    if (memEQ(name, "XmlException::CONTAINER_CLOSE", 29)) {
    /*                                            D      */
      {
	DbXml::XmlException::ExceptionCode tmp = XmlException::CONTAINER_CLOSED ;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case 'H':
    if (memEQ(name, "XmlException::VERSION_MISMATC", 29)) {
    /*                                            H      */
      {
	DbXml::XmlException::ExceptionCode tmp = XmlException::VERSION_MISMATCH ;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case 'R':
    if (memEQ(name, "XmlException::DOM_PARSER_ERRO", 29)) {
    /*                                            R      */
      {
	DbXml::XmlException::ExceptionCode tmp = XmlException::DOM_PARSER_ERROR ;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case 'S':
    if (memEQ(name, "XmlException::CONTAINER_EXIST", 29)) {
    /*                                            S      */
      {
	DbXml::XmlException::ExceptionCode tmp = XmlException::CONTAINER_EXISTS ;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_32 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     "XmlException::DOCUMENT_NOT_FOUND" "XmlException::XPATH_PARSER_ERROR"
     "XmlModify::ProcessingInstruction" "XmlQueryContext::ResultDocuments" */
  /* Offset 29 gives the best switch position.  */
  switch (name[29]) {
  case 'R':
    if (memEQ(name, "XmlException::XPATH_PARSER_ERROR", 32)) {
    /*                                            ^         */
      {
	DbXml::XmlException::ExceptionCode tmp = XmlException::XPATH_PARSER_ERROR ;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case 'U':
    if (memEQ(name, "XmlException::DOCUMENT_NOT_FOUND", 32)) {
    /*                                            ^         */
      {
	DbXml::XmlException::ExceptionCode tmp = XmlException::DOCUMENT_NOT_FOUND ;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case 'i':
    if (memEQ(name, "XmlModify::ProcessingInstruction", 32)) {
    /*                                            ^         */
      {
	DbXml::XmlModify::XmlObject tmp = XmlModify::ProcessingInstruction;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case 'n':
    if (memEQ(name, "XmlQueryContext::ResultDocuments", 32)) {
    /*                                            ^         */
      {
	DbXml::XmlQueryContext::ReturnType tmp = XmlQueryContext::ResultDocuments;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant (pTHX_ const char *name, STRLEN len, IV *iv_return, const char **pv_return) {
  /* Initially switch on the length of the name.  */
  /* When generated this function returned values for the list of names given
     in this section of perl code.  Rather than manually editing these functions
     to add or remove constants, which would result in this comment and section
     of code becoming inaccurate, we recommend that you edit this section of
     code, and use it to regenerate a new set of constant functions which you
     then use to replace the originals.

     Regenerate these constant functions by feeding this entire source file to
     perl -x

#!perl -w
use ExtUtils::Constant qw (constant_types C_constant XS_constant);

my $types = {map {($_, 1)} qw(IV PVN)};
my @names = (qw(),
            {name=>"DBXML_VERSION_MAJOR", type=>"IV", macro=>"1"},
            {name=>"DBXML_VERSION_MINOR", type=>"IV", macro=>"1"},
            {name=>"DBXML_VERSION_PATCH", type=>"IV", macro=>"1"},
            {name=>"DbXml::CATEGORY_ALL", type=>"IV", macro=>"1"},
            {name=>"DbXml::CATEGORY_CONTAINER", type=>"IV", macro=>"1"},
            {name=>"DbXml::CATEGORY_DICTIONARY", type=>"IV", macro=>"1"},
            {name=>"DbXml::CATEGORY_INDEXER", type=>"IV", macro=>"1"},
            {name=>"DbXml::CATEGORY_NONE", type=>"IV", macro=>"1"},
            {name=>"DbXml::CATEGORY_OPTIMIZER", type=>"IV", macro=>"1"},
            {name=>"DbXml::CATEGORY_QUERY", type=>"IV", macro=>"1"},
            {name=>"DbXml::DBXML_VERSION_STRING", type=>"PVN", macro=>"1", value=>["DBXML_VERSION_STRING", "20"]},
            {name=>"DbXml::LEVEL_ALL", type=>"IV", macro=>"1"},
            {name=>"DbXml::LEVEL_DEBUG", type=>"IV", macro=>"1"},
            {name=>"DbXml::LEVEL_ERROR", type=>"IV", macro=>"1"},
            {name=>"DbXml::LEVEL_INFO", type=>"IV", macro=>"1"},
            {name=>"DbXml::LEVEL_NONE", type=>"IV", macro=>"1"},
            {name=>"DbXml::LEVEL_WARNING", type=>"IV", macro=>"1"},
            {name=>"DbXml::metaDataName_content", type=>"PVN", macro=>"1", value=>["metaDataName_content", "20"]},
            {name=>"DbXml::metaDataName_default", type=>"PVN", macro=>"1", value=>["metaDataName_default", "20"]},
            {name=>"DbXml::metaDataName_id", type=>"PVN", macro=>"1", value=>["metaDataName_id", "15"]},
            {name=>"DbXml::metaDataName_name", type=>"PVN", macro=>"1", value=>["metaDataName_name", "17"]},
            {name=>"DbXml::metaDataName_uri_default", type=>"PVN", macro=>"1", value=>["metaDataName_uri_default", "24"]},
            {name=>"DbXml::metaDataName_uri_id", type=>"PVN", macro=>"1", value=>["metaDataName_uri_id", "19"]},
            {name=>"DbXml::metaDataNamespace_prefix", type=>"PVN", macro=>"1", value=>["metaDataNamespace_prefix", "24"]},
            {name=>"DbXml::metaDataNamespace_prefix_debug", type=>"PVN", macro=>"1", value=>["metaDataNamespace_prefix_debug", "30"]},
            {name=>"DbXml::metaDataNamespace_uri", type=>"PVN", macro=>"1", value=>["metaDataNamespace_uri", "21"]},
            {name=>"XmlException::CONTAINER_CLOSED", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlException::ExceptionCode tmp = XmlException::CONTAINER_CLOSED ;"},
            {name=>"XmlException::CONTAINER_EXISTS", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlException::ExceptionCode tmp = XmlException::CONTAINER_EXISTS ;"},
            {name=>"XmlException::CONTAINER_OPEN", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlException::ExceptionCode tmp = XmlException::CONTAINER_OPEN ;"},
            {name=>"XmlException::CONTAINER_PASSED_WRONG_OBJECT", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlException::ExceptionCode tmp = XmlException::CONTAINER_PASSED_WRONG_OBJECT ;"},
            {name=>"XmlException::DATABASE_ERROR", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlException::ExceptionCode tmp = XmlException::DATABASE_ERROR ;"},
            {name=>"XmlException::DOCUMENT_NOT_FOUND", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlException::ExceptionCode tmp = XmlException::DOCUMENT_NOT_FOUND ;"},
            {name=>"XmlException::DOM_PARSER_ERROR", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlException::ExceptionCode tmp = XmlException::DOM_PARSER_ERROR ;"},
            {name=>"XmlException::INDEXER_PARSER_ERROR", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlException::ExceptionCode tmp = XmlException::INDEXER_PARSER_ERROR ;"},
            {name=>"XmlException::INTERNAL_ERROR", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlException::ExceptionCode tmp = XmlException::INTERNAL_ERROR ;"},
            {name=>"XmlException::INVALID_VALUE", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlException::ExceptionCode tmp = XmlException::INVALID_VALUE ;"},
            {name=>"XmlException::LAZY_EVALUATION", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlException::ExceptionCode tmp = XmlException::LAZY_EVALUATION ;"},
            {name=>"XmlException::NO_VARIABLE_BINDING", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlException::ExceptionCode tmp = XmlException::NO_VARIABLE_BINDING ;"},
            {name=>"XmlException::UNKNOWN_INDEX", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlException::ExceptionCode tmp = XmlException::UNKNOWN_INDEX ;"},
            {name=>"XmlException::VERSION_MISMATCH", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlException::ExceptionCode tmp = XmlException::VERSION_MISMATCH ;"},
            {name=>"XmlException::XPATH_EVALUATION_ERROR", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlException::ExceptionCode tmp = XmlException::XPATH_EVALUATION_ERROR ;"},
            {name=>"XmlException::XPATH_PARSER_ERROR", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlException::ExceptionCode tmp = XmlException::XPATH_PARSER_ERROR ;"},
            {name=>"XmlModify::Append", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlModify::ModificationType tmp = XmlModify::Append;"},
            {name=>"XmlModify::Attribute", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlModify::XmlObject tmp = XmlModify::Attribute;"},
            {name=>"XmlModify::Comment", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlModify::XmlObject tmp = XmlModify::Comment;"},
            {name=>"XmlModify::Element", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlModify::XmlObject tmp = XmlModify::Element;"},
            {name=>"XmlModify::Empty", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlModify::ModificationType tmp = XmlModify::Empty;"},
            {name=>"XmlModify::InsertAfter", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlModify::ModificationType tmp = XmlModify::InsertAfter;"},
            {name=>"XmlModify::InsertBefore", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlModify::ModificationType tmp = XmlModify::InsertBefore;"},
            {name=>"XmlModify::None", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlModify::XmlObject tmp = XmlModify::None;"},
            {name=>"XmlModify::ProcessingInstruction", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlModify::XmlObject tmp = XmlModify::ProcessingInstruction;"},
            {name=>"XmlModify::Remove", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlModify::ModificationType tmp = XmlModify::Remove;"},
            {name=>"XmlModify::Rename", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlModify::ModificationType tmp = XmlModify::Rename;"},
            {name=>"XmlModify::Text", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlModify::XmlObject tmp = XmlModify::Text;"},
            {name=>"XmlModify::Update", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlModify::ModificationType tmp = XmlModify::Update;"},
            {name=>"XmlQueryContext::CandidateDocuments", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlQueryContext::ReturnType tmp = XmlQueryContext::CandidateDocuments;"},
            {name=>"XmlQueryContext::Eager", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlQueryContext::EvaluationType tmp = XmlQueryContext::Eager;"},
            {name=>"XmlQueryContext::Lazy", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlQueryContext::EvaluationType tmp = XmlQueryContext::Lazy;"},
            {name=>"XmlQueryContext::ResultDocuments", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlQueryContext::ReturnType tmp = XmlQueryContext::ResultDocuments;"},
            {name=>"XmlQueryContext::ResultDocumentsAndValues", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlQueryContext::ReturnType tmp = XmlQueryContext::ResultDocumentsAndValues;"},
            {name=>"XmlQueryContext::ResultValues", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlQueryContext::ReturnType tmp = XmlQueryContext::ResultValues;"},
            {name=>"XmlValue::BINARY", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlValue::Type tmp = XmlValue::BINARY;"},
            {name=>"XmlValue::BOOLEAN", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlValue::Type tmp = XmlValue::BOOLEAN;"},
            {name=>"XmlValue::DOCUMENT", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlValue::Type tmp = XmlValue::DOCUMENT;"},
            {name=>"XmlValue::NODE", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlValue::Type tmp = XmlValue::NODE;"},
            {name=>"XmlValue::NONE", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlValue::Type tmp = XmlValue::NONE;"},
            {name=>"XmlValue::NUMBER", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlValue::Type tmp = XmlValue::NUMBER;"},
            {name=>"XmlValue::STRING", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlValue::Type tmp = XmlValue::STRING;"},
            {name=>"XmlValue::VARIABLE", type=>"IV", macro=>"1", value=>"(IV)tmp", pre=>"\tDbXml::XmlValue::Type tmp = XmlValue::VARIABLE;"});

print constant_types(); # macro defs
foreach (C_constant ("DbXml", 'constant', 'IV', $types, undef, 3, @names) ) {
    print $_, "\n"; # C constant subs
}
print "#### XS Section:\n";
print XS_constant ("DbXml", $types);
__END__
   */

  switch (len) {
  case 14:
    /* Names all of length 14.  */
    /* "XmlValue::NODE" "XmlValue::NONE" */
    /* Offset 12 gives the best switch position.  */
    switch (name[12]) {
    case 'D':
      if (memEQ(name, "XmlValue::NODE", 14)) {
      /*                           ^        */
        {
	DbXml::XmlValue::Type tmp = XmlValue::NODE;
          *iv_return = (IV)tmp;
          return PERL_constant_ISIV;
        }
      }
      break;
    case 'N':
      if (memEQ(name, "XmlValue::NONE", 14)) {
      /*                           ^        */
        {
	DbXml::XmlValue::Type tmp = XmlValue::NONE;
          *iv_return = (IV)tmp;
          return PERL_constant_ISIV;
        }
      }
      break;
    }
    break;
  case 15:
    /* Names all of length 15.  */
    /* "XmlModify::None" "XmlModify::Text" */
    /* Offset 11 gives the best switch position.  */
    switch (name[11]) {
    case 'N':
      if (memEQ(name, "XmlModify::None", 15)) {
      /*                          ^          */
        {
	DbXml::XmlModify::XmlObject tmp = XmlModify::None;
          *iv_return = (IV)tmp;
          return PERL_constant_ISIV;
        }
      }
      break;
    case 'T':
      if (memEQ(name, "XmlModify::Text", 15)) {
      /*                          ^          */
        {
	DbXml::XmlModify::XmlObject tmp = XmlModify::Text;
          *iv_return = (IV)tmp;
          return PERL_constant_ISIV;
        }
      }
      break;
    }
    break;
  case 16:
    return constant_16 (aTHX_ name, iv_return);
    break;
  case 17:
    return constant_17 (aTHX_ name, iv_return);
    break;
  case 18:
    return constant_18 (aTHX_ name, iv_return);
    break;
  case 19:
    return constant_19 (aTHX_ name, iv_return);
    break;
  case 20:
    return constant_20 (aTHX_ name, iv_return);
    break;
  case 21:
    /* Names all of length 21.  */
    /* "DbXml::CATEGORY_QUERY" "XmlQueryContext::Lazy" */
    /* Offset 8 gives the best switch position.  */
    switch (name[8]) {
    case 'A':
      if (memEQ(name, "DbXml::CATEGORY_QUERY", 21)) {
      /*                       ^                   */
        *iv_return = DbXml::CATEGORY_QUERY;
        return PERL_constant_ISIV;
      }
      break;
    case 'C':
      if (memEQ(name, "XmlQueryContext::Lazy", 21)) {
      /*                       ^                   */
        {
	DbXml::XmlQueryContext::EvaluationType tmp = XmlQueryContext::Lazy;
          *iv_return = (IV)tmp;
          return PERL_constant_ISIV;
        }
      }
      break;
    }
    break;
  case 22:
    return constant_22 (aTHX_ name, iv_return, pv_return);
    break;
  case 23:
    /* Names all of length 23.  */
    /* "DbXml::CATEGORY_INDEXER" "XmlModify::InsertBefore" */
    /* Offset 11 gives the best switch position.  */
    switch (name[11]) {
    case 'G':
      if (memEQ(name, "DbXml::CATEGORY_INDEXER", 23)) {
      /*                          ^                  */
        *iv_return = DbXml::CATEGORY_INDEXER;
        return PERL_constant_ISIV;
      }
      break;
    case 'I':
      if (memEQ(name, "XmlModify::InsertBefore", 23)) {
      /*                          ^                  */
        {
	DbXml::XmlModify::ModificationType tmp = XmlModify::InsertBefore;
          *iv_return = (IV)tmp;
          return PERL_constant_ISIV;
        }
      }
      break;
    }
    break;
  case 24:
    if (memEQ(name, "DbXml::metaDataName_name", 24)) {
      *pv_return = metaDataName_name;
      *iv_return = (IV) 17;
      return PERL_constant_ISPVN;
    }
    break;
  case 25:
    /* Names all of length 25.  */
    /* "DbXml::CATEGORY_CONTAINER" "DbXml::CATEGORY_OPTIMIZER" */
    /* Offset 17 gives the best switch position.  */
    switch (name[17]) {
    case 'O':
      if (memEQ(name, "DbXml::CATEGORY_CONTAINER", 25)) {
      /*                                ^              */
        *iv_return = DbXml::CATEGORY_CONTAINER;
        return PERL_constant_ISIV;
      }
      break;
    case 'P':
      if (memEQ(name, "DbXml::CATEGORY_OPTIMIZER", 25)) {
      /*                                ^              */
        *iv_return = DbXml::CATEGORY_OPTIMIZER;
        return PERL_constant_ISIV;
      }
      break;
    }
    break;
  case 26:
    /* Names all of length 26.  */
    /* "DbXml::CATEGORY_DICTIONARY" "DbXml::metaDataName_uri_id" */
    /* Offset 11 gives the best switch position.  */
    switch (name[11]) {
    case 'D':
      if (memEQ(name, "DbXml::metaDataName_uri_id", 26)) {
      /*                          ^                     */
        *pv_return = metaDataName_uri_id;
        *iv_return = (IV) 19;
        return PERL_constant_ISPVN;
      }
      break;
    case 'G':
      if (memEQ(name, "DbXml::CATEGORY_DICTIONARY", 26)) {
      /*                          ^                     */
        *iv_return = DbXml::CATEGORY_DICTIONARY;
        return PERL_constant_ISIV;
      }
      break;
    }
    break;
  case 27:
    return constant_27 (aTHX_ name, iv_return, pv_return);
    break;
  case 28:
    return constant_28 (aTHX_ name, iv_return, pv_return);
    break;
  case 29:
    /* Names all of length 29.  */
    /* "XmlException::LAZY_EVALUATION" "XmlQueryContext::ResultValues" */
    /* Offset 10 gives the best switch position.  */
    switch (name[10]) {
    case 'n':
      if (memEQ(name, "XmlQueryContext::ResultValues", 29)) {
      /*                         ^                         */
        {
	DbXml::XmlQueryContext::ReturnType tmp = XmlQueryContext::ResultValues;
          *iv_return = (IV)tmp;
          return PERL_constant_ISIV;
        }
      }
      break;
    case 'o':
      if (memEQ(name, "XmlException::LAZY_EVALUATION", 29)) {
      /*                         ^                         */
        {
	DbXml::XmlException::ExceptionCode tmp = XmlException::LAZY_EVALUATION ;
          *iv_return = (IV)tmp;
          return PERL_constant_ISIV;
        }
      }
      break;
    }
    break;
  case 30:
    return constant_30 (aTHX_ name, iv_return);
    break;
  case 31:
    /* Names all of length 31.  */
    /* "DbXml::metaDataName_uri_default" "DbXml::metaDataNamespace_prefix" */
    /* Offset 29 gives the best switch position.  */
    switch (name[29]) {
    case 'i':
      if (memEQ(name, "DbXml::metaDataNamespace_prefix", 31)) {
      /*                                            ^        */
        *pv_return = metaDataNamespace_prefix;
        *iv_return = (IV) 24;
        return PERL_constant_ISPVN;
      }
      break;
    case 'l':
      if (memEQ(name, "DbXml::metaDataName_uri_default", 31)) {
      /*                                            ^        */
        *pv_return = metaDataName_uri_default;
        *iv_return = (IV) 24;
        return PERL_constant_ISPVN;
      }
      break;
    }
    break;
  case 32:
    return constant_32 (aTHX_ name, iv_return);
    break;
  case 33:
    if (memEQ(name, "XmlException::NO_VARIABLE_BINDING", 33)) {
      {
	DbXml::XmlException::ExceptionCode tmp = XmlException::NO_VARIABLE_BINDING ;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case 34:
    if (memEQ(name, "XmlException::INDEXER_PARSER_ERROR", 34)) {
      {
	DbXml::XmlException::ExceptionCode tmp = XmlException::INDEXER_PARSER_ERROR ;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case 35:
    if (memEQ(name, "XmlQueryContext::CandidateDocuments", 35)) {
      {
	DbXml::XmlQueryContext::ReturnType tmp = XmlQueryContext::CandidateDocuments;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case 36:
    if (memEQ(name, "XmlException::XPATH_EVALUATION_ERROR", 36)) {
      {
	DbXml::XmlException::ExceptionCode tmp = XmlException::XPATH_EVALUATION_ERROR ;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case 37:
    if (memEQ(name, "DbXml::metaDataNamespace_prefix_debug", 37)) {
      *pv_return = metaDataNamespace_prefix_debug;
      *iv_return = (IV) 30;
      return PERL_constant_ISPVN;
    }
    break;
  case 41:
    if (memEQ(name, "XmlQueryContext::ResultDocumentsAndValues", 41)) {
      {
	DbXml::XmlQueryContext::ReturnType tmp = XmlQueryContext::ResultDocumentsAndValues;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  case 43:
    if (memEQ(name, "XmlException::CONTAINER_PASSED_WRONG_OBJECT", 43)) {
      {
	DbXml::XmlException::ExceptionCode tmp = XmlException::CONTAINER_PASSED_WRONG_OBJECT ;
        *iv_return = (IV)tmp;
        return PERL_constant_ISIV;
      }
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

